CreateThread(function()
	SetWeaponDamageModifier(`WEAPON_UNARMED`, 0.1) -- Melee
	SetWeaponDamageModifier(`WEAPON_BOTTLE`, 0.1) -- Melee
	SetWeaponDamageModifier(`WEAPON_FLASHLIGHT`, 0.1) -- Melee
	SetWeaponDamageModifier(`WEAPON_KNUCKLE`, 0.1) -- Melee
	SetWeaponDamageModifier(`WEAPON_NIGHTSTICK`, 0.0) -- Melee
	SetWeaponDamageModifier(`WEAPON_HAMMER`, 0.1) -- Melee
	SetWeaponDamageModifier(`WEAPON_CROWBAR`, 0.1) -- Melee
	SetWeaponDamageModifier(`WEAPON_POOLCUE`, 0.1) -- Melee
	SetWeaponDamageModifier(`WEAPON_GOLFCLUB`, 0.1) -- Melee
	SetWeaponDamageModifier(`WEAPON_BAT`, 0.1) -- Melee
	SetWeaponDamageModifier(`WEAPON_KNIFE`, 0.1) -- Melee
	SetWeaponDamageModifier(`WEAPON_DAGGER`, 0.1) -- Melee
	SetWeaponDamageModifier(`WEAPON_SWITCHBLADE`, 0.1) -- Melee
	SetWeaponDamageModifier(`weapon_revolver`, 0.0) -- Pistol / Melee
	SetWeaponDamageModifier(`weapon_revolver_mk2`, 0.0) -- Pistol / Melee
	SetWeaponDamageModifier(`WEAPON_MACHETE`, 0.1) -- Melee
	SetWeaponDamageModifier(`WEAPON_HATCHET`, 0.1) -- Melee
	SetWeaponDamageModifier(`WEAPON_SNOWBALL`, 0.0) -- Utility
	SetWeaponDamageModifier(`WEAPON_HIT_BY_WATER_CANNON`, 0.0) -- Fire Truck Cannon

	--SMG
	SetWeaponDamageModifier(`weapon_microsmg`, 0.4)
	SetWeaponDamageModifier(`weapon_machinepistol`, 0.4)
	SetWeaponDamageModifier(`weapon_minismg`, 0.4)
	SetWeaponDamageModifier(`weapon_assaultsmg`, 0.5)
	SetWeaponDamageModifier(`weapon_smg`, 0.4)
	SetWeaponDamageModifier(`weapon_smg_mk2`, 0.5)
	SetWeaponDamageModifier(`weapon_combatpdw`, 0.5)

	--Pistol
	SetWeaponDamageModifier(`weapon_appistol`, 0.51)
	SetWeaponDamageModifier(`weapon_combatpistol`,0.53)
	SetWeaponDamageModifier(`weapon_vintagepistol`, 0.5)
	SetWeaponDamageModifier(`weapon_heavypistol`, 0.53)
	SetWeaponDamageModifier(`weapon_pistol`, 0.51)
	SetWeaponDamageModifier(`weapon_pistol50`, 0.52)
	SetWeaponDamageModifier(`weapon_snspistol`, 0.51)
	SetWeaponDamageModifier(`weapon_pistol_mk2`, 0.45)
	SetWeaponDamageModifier(`weapon_doubleaction`, 0.55)
   	SetWeaponDamageModifier(`weapon_stungun`, 0.0) -- Pistol / Melee
	   SetWeaponDamageModifier(`WEAPON_PLASMAP`, 0.0) -- Pistol / Melee
	-- SetWeaponDamageModifier(`WEAPON_SMOKEGRENADE`, 0.1) -- Utility

	--rifles
	SetWeaponDamageModifier(`weapon_assaultrifle_mk2`, 0.4)
	SetWeaponDamageModifier(`weapon_carbinerifle_mk2`, 0.4)
	SetWeaponDamageModifier(`weapon_specialcarbine`, 0.4)
	SetWeaponDamageModifier(`weapon_compactrifle`, 0.4)
	SetWeaponDamageModifier(`weapon_specialcarbine_mk2`, 0.4)
	SetWeaponDamageModifier(`weapon_bullpuprifle_mk2`, 0.4)
	SetWeaponDamageModifier(`weapon_militaryrifle`, 0.4)
	SetWeaponDamageModifier(`weapon_bullpuprifle`, 0.4)
	SetWeaponDamageModifier(`weapon_assaultrifle`, 0.4)
	SetWeaponDamageModifier(`weapon_carbinerifle`, 0.4)

	--shotguns
	SetWeaponDamageModifier('weapon_pumpshotgun', 0.0)
	SetWeaponDamageModifier('weapon_sawnoffshotgun', 0.0)
	SetWeaponDamageModifier('weapon_assaultshotgun', 0.0)
	SetWeaponDamageModifier('weapon_bullpupshotgun', 0.0)
	SetWeaponDamageModifier('weapon_musket', 0.0)
	SetWeaponDamageModifier('weapon_heavyshotgun', 0.0)
	SetWeaponDamageModifier('weapon_dbshotgun', 0.0)
	SetWeaponDamageModifier('weapon_autoshotgun', 0.0)
	SetWeaponDamageModifier('weapon_pumpshotgun_mk2', 0.0)
	SetWeaponDamageModifier('weapon_combatshotgun', 0.0)

	while true do
		Wait(0)
		SetPlayerHealthRechargeMultiplier(PlayerId(), 0.0)
		SetPedSuffersCriticalHits(PlayerPedId(), true)
	end
end)